// BreakPoint.h: interface for the CBreakPoint class.
//


#pragma once

#include <afxtempl.h>

enum
{
	BREAKPOINT_ADDRESS = 1,
	BREAKPOINT_MEMORY_ACCESS = 2
};


class CBreakPoint
{
		UINT                m_type;
		WORD                m_breakAddress;

	public:
		CBreakPoint();
		CBreakPoint(WORD addr);
		virtual ~CBreakPoint();

		inline bool         IsAddress()
		{
			return (m_type == BREAKPOINT_ADDRESS);
		}

		inline UINT         GetType()
		{
			return m_type;
		}

		inline WORD         GetAddress()
		{
			return m_breakAddress;
		}
};

typedef CList<CBreakPoint, CBreakPoint &> CBreakPointList;
